Bug 544103 - Gnome desktop doesn't recognize AVCHD file extensions
Gnome desktop doesn't recognize AVCHD file extensions
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: shared-mime-info (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-03 17:17 EST by Steevithak
Modified: 2010-12-03 21:16 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 21:16:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steevithak 2009-12-03 17:17:34 EST
Description of problem:
Most new camcorders store files in AVCHD format using one of three file extensions: .MTS is the most common, used by at least Panasonic, Sony, and Canon camcorders, followed by .M2T, and .M2TS.

The GNOME desktop only seems to recognize .M2T, forcing the user to rename the files before they can get an option to open the files with a media player.

According to Wikipedia, Windows comes with all three possible file extensions pre-registered in the system. A desktop GNU/Linux system should be able to do the same. http://en.wikipedia.org/wiki/AVCHD

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. transfer video files from a camcorder
2. right click to play them
3.
  
Actual results:
system doesn't recognize file type. If you rename the files to .M2T the icon changes from a generic document to a roll of film and right clicking will now offer to play the media file.

Expected results:
system should recognize common media file formats without forcing the user to rename the files (something the user is unlikely to realize is possible anyway, they'll likely just conclude GNU/Linux can't play their files)


Additional info:
Not sure if Nautilus is best app to file this bug against. What ever app matches filenames to context menu actions like "open with movie player" is what needs to be fixed.
Comment 1 Matthias Clasen 2009-12-06 23:28:54 EST
Most likely this needs to be added to the shared-mime-info database.
Comment 2 Bug Zapper 2010-11-04 00:25:22 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-12-03 21:16:17 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.